#!/bin/bash
#
# This file and everything in this package is covered under
# the GNU General Public License.  See the LICENSE file at the top
# level of this package for full details.  A copy of the license
# is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
# 
# This special script makes sure that the install.config files included
# in the client software packages have the correct DJServer IP address.
# 
# You have to use the opendj-installer/install-opendj script to get the
# /etc/opendj files setup, or else this will not work
#
# Copyright 2001 DAX Interactive, LLC.
#
# $Author: jonathan $
# $Revision: 1.1.1.1 $
# $Header: /home/cvspublic/opendj/opendj-client-installer/scripts/setDJServerAddr.sh,v 1.1.1.1 2001/09/29 20:23:20 jonathan Exp $
# $Log: setDJServerAddr.sh,v $
# Revision 1.1.1.1  2001/09/29 20:23:20  jonathan
# Imported opendj-client-installer
#
#
djserverip=`cat /etc/opendj/site.properties | grep 'djserver.ip=' | sed -e "s/=/ /g" | awk '{print $2}' `
echo "DJSERVER_IP=$djserverip" > symbols
cat $1 | $OPENDJ_HOME/opendj-core/bin/replaceSyms.tcl symbols > $2
rm $1
rm symbols
