rem --- OPENdj Startup Batch File
rem ---
rem --- Licensed under the GNU GPL.  See LICENSE file for details.
rem --- Copyright DAX Interactive, LLC, 2001.
rem --- 
rem --- NOTE: Only edit this file if you are following the
rem --- instructions for installing OPENdj manually.
rem --- If you can successfully run the setup.exe program included
rem --- then you do not need to worry about this file, because
rem --- setup.exe will automatically generate it for you.


rem --- This is where your JDK 1.3 installation is.  
rem --- It should have subfolders like bin, include, jre, and lib.
set JAVAHOME=C:\jdk1.3

rem --- This is where OPENdj is installed.
rem --- To make things easiest, just use C:\OPENdj
set OPENDJHOME=C:\OPENdj

rem --- You should not normally need to change any of these
set JAVA=%JAVAHOME%\bin\java.exe
set CLASSPATH=%JAVAHOME%\jre\lib\rt.jar;%OPENDJHOME%\jrev.jar;%OPENDJHOME%\opendj_client.jar

cd %OPENDJHOME%
%JAVA% -classpath %CLASSPATH% -Djava.compiler=NONE -Dopendj.props=%OPENDJHOME%\opendj.properties org.opendj.client.Main 1> %OPENDJHOME%\opendj.out.log 2> %OPENDJHOME%\opendj.err.log
