VERSION 5.00
Begin VB.Form SearchForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Searching..."
   ClientHeight    =   2250
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   6030
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2250
   ScaleWidth      =   6030
   ShowInTaskbar   =   0   'False
   Begin VB.Timer SearchTimer 
      Interval        =   500
      Left            =   4800
      Top             =   1320
   End
   Begin VB.ListBox SearchResultList 
      Height          =   1620
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   4215
   End
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   4680
      TabIndex        =   1
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton OKButton 
      Caption         =   "OK"
      Height          =   375
      Left            =   4680
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label SearchLabel 
      Caption         =   "Searching..."
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   120
      Width           =   4215
   End
End
Attribute VB_Name = "SearchForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private Sub CancelButton_Click()
Unload Me
End Sub

Private Sub Form_Activate()
SearchTimer.Enabled = True
End Sub

Private Sub Form_Load()

OKButton.Enabled = False

If InstallForm.SearchField.Text = "java.exe" Then
    SearchLabel.Caption = "Searching for java.exe..."
    Me.Caption = "Searching for java.exe..."
    
ElseIf InstallForm.SearchField.Text = "rt.jar" Then
    SearchLabel.Caption = "Searching for rt.jar..."
    Me.Caption = "Searching for rt.jar..."

ElseIf InstallForm.SearchField.Text = "lame.exe" Then
    SearchLabel.Caption = "Searching for lame.exe..."
    Me.Caption = "Searching for lame.exe..."

End If

End Sub

Private Sub OKButton_Click()

Dim SearchResult

If SearchResultList.ListCount > 0 Then

    SearchResult = SearchResultList.Text

    If InstallForm.SearchField.Text = "java.exe" Then
        InstallForm.javaEXE.Caption = SearchResult
        
    ElseIf InstallForm.SearchField.Text = "rt.jar" Then
        InstallForm.rtJAR.Caption = SearchResult
    
    ElseIf InstallForm.SearchField.Text = "lame.exe" Then
        InstallForm.lameEXE.Caption = SearchResult
        
    End If
    
End If

Unload Me

End Sub

Private Sub SearchResultList_Click()
If SearchResultList.ListCount > 0 Then
    OKButton.Enabled = True
End If
End Sub

Private Sub SearchTimer_Timer()

Dim SearchPath As String, FindStr As String
Dim FileSize As Long
Dim NumFiles As Integer, NumDirs As Integer

SearchTimer.Enabled = False

Screen.MousePointer = vbHourglass
SearchResultList.Clear
FindStr = InstallForm.SearchField.Text

SearchPath = "C:\"
FileSize = FindFilesAPI(SearchPath, FindStr, NumFiles, NumDirs, SearchResultList)
SearchPath = "D:\"
FileSize = FindFilesAPI(SearchPath, FindStr, NumFiles, NumDirs, SearchResultList)
SearchPath = "E:\"
FileSize = FindFilesAPI(SearchPath, FindStr, NumFiles, NumDirs, SearchResultList)
SearchPath = "F:\"
FileSize = FindFilesAPI(SearchPath, FindStr, NumFiles, NumDirs, SearchResultList)
SearchPath = "G:\"
FileSize = FindFilesAPI(SearchPath, FindStr, NumFiles, NumDirs, SearchResultList)
SearchPath = "H:\"
FileSize = FindFilesAPI(SearchPath, FindStr, NumFiles, NumDirs, SearchResultList)

If SearchResultList.ListCount > 0 Then
    SearchLabel.Caption = "Search Completed: Select a match"
Else
    SearchLabel.Caption = "Search Completed: No matches found"
End If
Screen.MousePointer = vbDefault
End Sub
